# Uses of Interface
org.italiangrid.voms.store.LSCInfo

Packages that use LSCInfo
Package
Description
org.italiangrid.voms.store
This package provides the API for managing VOMS trust stores.
org.italiangrid.voms.store.impl
This package provides the implementation of VOMS trust store management.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of LSCInfo in org.italiangrid.voms.store

Methods in org.italiangrid.voms.store that return LSCInfo
Modifier and Type
Method
Description
`LSCInfo`
VOMSTrustStore.`getLSC(String voName, String hostname)`
Returns the LSC information held in this `VOMSTrustStore` for the vo and hostname passed as arguments.
Methods in org.italiangrid.voms.store that return types with arguments of type LSCInfo
Modifier and Type
Method
Description
`Map<String,Set<LSCInfo>>`
VOMSTrustStore.`getAllLSCInfo()`
Returns all the LSC information held in this `VOMSTrustStore`.
Methods in org.italiangrid.voms.store with parameters of type LSCInfo
Modifier and Type
Method
Description
`void`
VOMSTrustStoreStatusListener.`notifyLSCLoadEvent(LSCInfo lsc, File f)`
Informs that VOMS LSC information has been loaded in the store

## Uses of LSCInfo in org.italiangrid.voms.store.impl

Classes in org.italiangrid.voms.store.impl that implement LSCInfo
Modifier and Type
Class
Description
`class`
`LSCFile`
Represents a VOMS LSC (Legacy Secure Channel) file.
Methods in org.italiangrid.voms.store.impl that return LSCInfo
Modifier and Type
Method
Description
`LSCInfo`
DefaultVOMSTrustStore.`getLSC(String voName, String hostname)`
Methods in org.italiangrid.voms.store.impl that return types with arguments of type LSCInfo
Modifier and Type
Method
Description
`Map<String,Set<LSCInfo>>`
DefaultVOMSTrustStore.`getAllLSCInfo()`

## Uses of LSCInfo in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util with parameters of type LSCInfo
Modifier and Type
Method
Description
`void`
NullListener.`notifyLSCLoadEvent(LSCInfo lsc, File f)`